std::pointer_traits< _Tp * > Struct Template Reference
Utilities » Memory » Pointer Abstractions

`#include <memory>`

Inherits std::__ptr_traits_ptr_to< _Ptr, _Elt, bool >.

## Public Types

typedef ptrdiff_t | difference_type
typedef _Tp | element_type
typedef _Tp * | pointer
template<typename _Up >
using | rebind = _Up *

## Static Public Member Functions

static pointer | pointer_to (element_type &__r)

## Detailed Description

template<typename _Tp>
struct std::pointer_traits< _Tp * >

Partial specialization for built-in pointers.

Since
  C++11

Definition at line 191 of file ptr_traits.h.

## Member Typedef Documentation

## difference_type

template<typename _Tp >

typedef ptrdiff_t std::pointer_traits< _Tp * >::difference_type

Type used to represent the difference between two pointers.

Definition at line 198 of file ptr_traits.h.

## element_type

template<typename _Tp >

typedef _Tp std::pointer_traits< _Tp * >::element_type

The type pointed to.

Definition at line 196 of file ptr_traits.h.

## pointer

template<typename _Tp >

typedef _Tp* std::pointer_traits< _Tp * >::pointer

The pointer type.

Definition at line 194 of file ptr_traits.h.

## rebind

template<typename _Tp >
template<typename _Up >

using std::pointer_traits< _Tp * >::rebind = _Up*

A pointer to a different type.

Definition at line 200 of file ptr_traits.h.

## Member Function Documentation

## pointer_to()

template<typename _Ptr , typename _Elt , bool = is_void<_Elt>::value>

static pointer std::__ptr_traits_ptr_to< _Ptr, _Elt, bool >::pointer_to | ( | element_type & | __r | ) |

inline static inherited

Obtain a pointer to an object.

Parameters

  __r | A reference to an object of type `element_type`

Returns
  `pointer::pointer_to(__r)`

Precondition
  `pointer::pointer_to(__r)` is a valid expression.

Definition at line 111 of file ptr_traits.h.

The documentation for this struct was generated from the following file:

- ptr_traits.h